## pypuppetdb 0.1.1%2Bgit080614

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyPuppetDB.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyPuppetDB.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyPuppetDB"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyPuppetDB"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pypuppetdb 0.1.1+git080614

=== debian/changelog ===
pypuppetdb (0.1.1+git080614-1) unstable; urgency=low

  * Initial release. (Closes: #756009)

 -- Jonas Genannt <genannt@debian.org>  Thu, 04 Jun 2015 12:43:48 +0200

=== debian/control ===
Source: pypuppetdb
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-requests,
               python3-requests,
               python-tox,
               python-pytest,
               python3-pytest,
               python-mock,
               python3-mock,
               python-httpretty,
               python3-httpretty,
               python-coverage,
               python3-coverage
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/nedap/pypuppetdb
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pypuppetdb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/pypuppetdb.git

Package: python-pypuppetdb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: interface to the PuppetDB REST API
 This library provides a Python interface to the PuppetDB REST API.
 It's a thin wrapper around the PuppetDB REST API providing some
 convinience functions and objects to request and hold data from PuppetDB.

Package: python3-pypuppetdb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: interface to the PuppetDB REST API (Python 3)
 This library provides a Python3 interface to the PuppetDB REST API.
 It's a thin wrapper around the PuppetDB REST API providing some
 convinience functions and objects to request and hold data from PuppetDB.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypuppetdb

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest -m unit" \
		dh_auto_test

=== debian/watch ===
version=2
http://pypi.debian.net/pypuppetdb/pypuppetdb-(.*).tar.gz

## pypuppetdb 0.3.3

=== requirements.txt ===
bandit
cov-core==1.15.0
coverage==4.0
git+https://github.com/gabrielfalcao/HTTPretty.git@python-3.3-support#egg=httpretty
mock==1.0.1
pytest==3.0.1
pytest-cov==2.2.1
pytest-pep8==1.0.5
requests==2.1.0

=== debian/changelog ===
pypuppetdb (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Aug 2019 16:40:38 +0200

pypuppetdb (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Add myself to Uploaders
  * d/control: update Homepage URL
  * d/watch: Use Github
  * d/watch: ignore bogus upstream version 3.3.3
  * Fix tests (Closes: #815393)
    + Drop B-D on python-tox to force using pytest
    + B-D on python-bandit and run the bandit tests
    + B-D on python-cov
  * override_dh_auto_test: test for `nocheck' in DEB_BUILD_OPTIONS
  * Bump Standards-Version to 4.3.0; no changes needed
  * d/control: use HTTPS for Vcs-*
  * Fix header name case for Python 3
  * Disable tests for Python 2
  * d/control: drop X-Python*-Version fields
  * Bump dh compat to 11; no changes needed
  * Switch Vcs-* URLs to salsa.d.o
  * d/control: fix typo in description

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 11 Feb 2019 22:59:56 +0200

=== debian/control ===
Source: pypuppetdb
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>,
           Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-bandit,
               python3-requests,
               python3-pytest,
               python3-pytest-cov,
               python3-mock,
               python3-httpretty,
               python3-coverage
Standards-Version: 4.4.0
Homepage: https://github.com/voxpupuli/pypuppetdb/
Vcs-Git: https://salsa.debian.org/python-team/modules/pypuppetdb.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pypuppetdb
Testsuite: autopkgtest-pkg-python

Package: python3-pypuppetdb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: interface to the PuppetDB REST API (Python 3)
 This library provides a Python3 interface to the PuppetDB REST API.
 It's a thin wrapper around the PuppetDB REST API providing some
 convenience functions and objects to request and hold data from PuppetDB.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypuppetdb

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

# Remove .coverage which somehow ends up under /usr/lib/python3
override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/python3-pypuppetdb -name '.coverage' -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/^3\.3\.3$/0.3.3/" \
  https://github.com/voxpupuli/pypuppetdb/releases .*/archive/v(.*).tar.gz

## pypuppetdb 2.2.0

=== debian/changelog ===
pypuppetdb (2.2.0-1) unstable; urgency=medium

  * Team upload

  [ Louis-Philippe Véronneau ]
  * New upstream release.
  * d/control: update to dh13.
  * d/patches: remove 0001 (not needed) and add 0002 to not to run coverage
    during tests. (Closes: #973137)
  * d/patches: add 0003 to not install unrelated files.
  * d/rules: Don't tweak dh_auto_install, we don't need to do that anymore
    since we're not running coverage tests.
  * d/patches: add 0004 to fix version.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/watch: update to v4 syntax and use git mode.
  * d/copyright: update to reflect the move to Vox Pupuli.
  * d/tests: run the upstream testsuite as an autopkgtest.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 25 Dec 2020 15:10:17 -0500

=== debian/control ===
Source: pypuppetdb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>,
           Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-requests,
               python3-bandit <!nocheck>,
               python3-pytest <!nocheck>,
               python3-mock <!nocheck>,
               python3-mypy <!nocheck>,
               python3-httpretty <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/voxpupuli/pypuppetdb/
Vcs-Git: https://salsa.debian.org/python-team/packages/pypuppetdb.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pypuppetdb
Rules-Requires-Root: no

Package: python3-pypuppetdb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: interface to the PuppetDB REST API (Python 3)
 This library provides a Python3 interface to the PuppetDB REST API.
 It's a thin wrapper around the PuppetDB REST API providing some
 convenience functions and objects to request and hold data from PuppetDB.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypuppetdb

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/tests/control ===
Tests: unittests
Depends: @,
         python3-all,
         python3-bandit,
         python3-pytest,
         python3-mock,
         python3-mypy,
         python3-httpretty

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/v//" \
https://github.com/voxpupuli/pypuppetdb.git \
refs/tags/([v\d\.]+)

## pypuppetdb 3.2.0

=== requirements.txt ===
requests>=2.28.1,<3

=== docs/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	-rm -rf $(BUILDDIR)/*
 
 html:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	$(SPHINXBUILD) -W -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== docs/requirements.txt ===
alabaster>=0.7,<1.0
Babel>=2.9,<3.0
certifi  # we always want the latest certs
charset-normalizer>=2.0,<3.0
docutils>=0.17,<1.0
idna>=3.3,<4.0
imagesize>=1.3,<2.0
Jinja2>=3.0,<4.0
MarkupSafe>=2.1,<3.0
packaging  # we always want the latest packaging
Pygments>=2.11,<3.0
pyparsing>=3.0,<4.0
pytz  # we always want the latest time zone info
requests>=2.27,<3.0
snowballstemmer>=2.2,<3.0
Sphinx>=4.3,<8.0
sphinx-rtd-theme>=1.0,<2.0
sphinxcontrib-applehelp>=1.0,<2.0
sphinxcontrib-devhelp>=1.0,<2.0
sphinxcontrib-htmlhelp>=2.0,<3.0
sphinxcontrib-jsmath>=1.0,<2.0
sphinxcontrib-qthelp>=1.0,<2.0
sphinxcontrib-serializinghtml>=1.1,<2.0
urllib3>=1.26,<3.0

=== debian/changelog ===
pypuppetdb (3.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.2.0
  * add gbp.conf
  * drop dependency on old python3-mock
  * use new dh-sequence-python3
  * refresh 0003 patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jan 2024 15:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Jonas Genannt <genannt@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-requests,
                python3-bandit <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-mock <!nocheck>,
                python3-mypy <!nocheck>,
                python3-httpretty <!nocheck>,
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypuppetdb

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends: @,
         python3-all,
         python3-bandit,
         python3-pytest,
         python3-mypy,
         python3-httpretty
